/* 
 * Copyright (c) 2007, Fraunhofer-Gesellschaft
 * All rights reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 * 
 * (1) Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the disclaimer at the end.
 *     Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in
 *     the documentation and/or other materials provided with the
 *     distribution.
 * 
 * (2) Neither the name of Fraunhofer nor the names of its
 *     contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 * 
 * DISCLAIMER
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  
 */
package org.ogf.graap.wsag.wsrf.bootstrap;

import org.apache.log4j.Logger;
import org.apache.muse.ws.addressing.MessageHeaders;
import org.ogf.graap.wsag.server.engine.WsagEngine;

/**
 * AxisEnvironment
 * 
 * 
 * 
 * @author Oliver Waeldrich
 * 
 */
public class WSAG4JAxisEnvironment extends org.apache.muse.core.platform.axis2.AxisEnvironment
{

    private static final Logger LOG = Logger.getLogger( WSAG4JAxisEnvironment.class );

    /**
     * {@inheritDoc}
     * 
     * @see org.apache.muse.core.AbstractEnvironment#addAddressingContext(org.apache.muse.ws.addressing.MessageHeaders)
     */
    public synchronized void addAddressingContext( MessageHeaders context )
    {
        BootstrapRegistry.registerAddressingContext( context );
    }

    /**
     * {@inheritDoc}
     * 
     * @see org.apache.muse.core.AbstractEnvironment#getAddressingContext()
     */
    public synchronized MessageHeaders getAddressingContext()
    {
        return BootstrapRegistry.getAddressingContext();
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.muse.core.AbstractEnvironment#getDeploymentURI(java.lang.String)
     */
    @Override
    protected String getDeploymentURI( String uriString )
    {
        String deploy = WsagEngine.getGatewayURL();

        LOG.info( "Deployment url is resolved from configuration: " + deploy );

        return deploy + "/services/WSAG4JService";

        // try {
        // return super.getDeploymentURI(uriString);
        // }
        // catch (Exception ex) {
        // String deploy = WsagEngine.getGatewayURL();
        //
        // log.warn("deployment url could not be resolved. check your /etc/host configuration.", ex);
        // log.info("deployment url is resolved from configuration: " + deploy);
        //
        // return deploy + "/services/WSAG4JService";
        // }
    }
}
